libzypp 17.37.10

eventdispatcher_glib.cc File Reference
`#include "timer.h"`
`#include "private/eventdispatcher_glib_p.h"`
`#include "private/threaddata_p.h"`
`#include <zypp-core/zyppng/base/private/linuxhelpers_p.h>`
`#include <zypp-core/base/Exception.h>`
`#include <zypp-core/base/Logger.h>`
`#include <zypp-core/AutoDispose.h>`
`#include <zypp-core/zyppng/base/UnixSignalSource>`

Go to the source code of this file.

## Namespaces
namespace | zyppng

## Functions
static int | zyppng::readMask ()
static int | zyppng::writeMask ()
static int | zyppng::excpMask ()
static int | zyppng::evModeToMask (int mode)
static int | zyppng::gioConditionToEventTypes (const GIOCondition rEvents, const int requestedEvs)
static gboolean | zyppng::eventLoopIdleFunc (gpointer user_data)
| Called when the event loop is idle, here we run cleanup tasks and call later() callbacks of the user.

## Variables
static GSourceFuncs | zyppng::abstractEventSourceFuncs
static GSourceFuncs | zyppng::glibTimerSourceFuncs